from analyses.analysisbase import tests as base_tests

from analyses.degradations import models as app_models

from django.contrib.auth.models import User

class PermissionsMixIn(object):
    def setPermissions(self):
        from django.contrib.auth.models import User, Permission
        from django.contrib.contenttypes.models import ContentType
        # give the users permissions

        # authorisations for users:
        # 1 = authorised
        # 2 = unauthorised to edit
        # 3 = unauthorised to even display

        u = User.objects.get(pk=1)

        permissions = [
            ('display_versions','versioning','version'),
            ('display_published_versions','versioning','version'),
            ('edit_versions','versioning','version'),
            ('display_degradationscenarios','degradations','degradationscenario'),
            ('edit_degradationscenarios','degradations','degradationscenario'),
            ('display_installations','installations','section'),
            ('display_degradationsuggestionlists','degradations','degradationsuggestionlist'),
            ('edit_degradationsuggestionlists','degradations','degradationsuggestionlist'),
        ]
        for item in permissions:
            u.user_permissions.add(Permission.objects.get_by_natural_key(*item))

        u = User.objects.get(pk=2)
        permissions = [
            ('display_versions','versioning','version'),
            ('display_published_versions','versioning','version'),
            ('display_degradationscenarios','degradations','degradationscenario'),
            ('display_installations','installations','section'),
            ('display_degradationsuggestionlists','degradations','degradationsuggestionlist'),
        ]
        for item in permissions:
            u.user_permissions.add(Permission.objects.get_by_natural_key(*item))

class SettingsMixIn(object):
    sc_model = app_models.DegradationScenario
    ev_model = app_models.DegradationEvent
    pl_model = app_models.DegradationProtectionLayer
    me_model = app_models.DegradationMeasure
    plme_model = app_models.DegradationProtectionLayer_Measure
    ap_model = app_models.DegradationAttentionPoint
    sl_model = app_models.DegradationSuggestionlist
    apsl_model = app_models.DegradationAPSuggestionlist
    tree_model = app_models.DegradationTreeElement
    namespace = "degradations"


class Degradations_SuggestionlistTest(PermissionsMixIn, SettingsMixIn, base_tests.SuggestionlistTest):
    pass

class Degradations_ScenarioTest(PermissionsMixIn, SettingsMixIn, base_tests.ScenarioTest):
    pass

class Degradations_EventTest(PermissionsMixIn, SettingsMixIn, base_tests.EventTest):
    pass

class Degradations_ProtectionLayerTest(PermissionsMixIn, SettingsMixIn, base_tests.ProtectionLayerTest):
    pass

class Degradations_MeasureTest(PermissionsMixIn, SettingsMixIn, base_tests.MeasureTest):
    pass

class Degradations_APSuggestionlistTest(PermissionsMixIn, SettingsMixIn, base_tests.APSuggestionlistTest):
    pass

class Degradations_AttentionPointTest(PermissionsMixIn, SettingsMixIn, base_tests.AttentionPointTest):
    pass

class Degradations_VersioningTest(PermissionsMixIn, SettingsMixIn, base_tests.VersioningTest):
    pass

class Degradations_SearchTestCase(PermissionsMixIn, SettingsMixIn, base_tests.SearchTest):
    searchclasses = {
        'sl_search': app_models.Degradations_SuggestionlistSearch,
        'sc_search': app_models.Degradations_ScenarioSearch,
        'ev_search': app_models.Degradations_EventSearch,
        'pl_search': app_models.Degradations_ProtectionLayerSearch,
        'me_search': app_models.Degradations_MeasureSearch,
        'apsl_search': app_models.Degradations_APSuggestionlistSearch,
        'ap_search': app_models.Degradations_AttentionPointSearch,
        }
