from django.core.management.base import BaseCommand, CommandError
from utils.exchange import exchange
from django.contrib.auth.models import User
from django.db import transaction

class Command(BaseCommand):
    help = 'Recalculates the lopa paths for all scenarios in the database.'
    args = "---"

    @transaction.commit_on_success
    def handle(self, *labels, **options):
        from analyses.deviations.models import DeviationScenario
        from utils.versioning.models import WorkVersion
        from analyses.deviations import evaluation
        output = []
        scenarios = DeviationScenario.objects.get_versionedobjects(WorkVersion)
        user = User.objects.all()[0]
        for scenario in scenarios:
            errors = evaluation.evaluate_causetree_for_deviationscenario(scenario, force=True)
        output.append('Recalculated all scenarios.')
        return '\n'.join(output)


