"""
celery tasks
"""

from django.conf import settings
from django.utils.translation import ugettext_lazy as _
from utils import reports as utils_reports
from utils.versioning.models import Version, WorkVersion
from analyses.views import AllSuggestionlists


def mail_allsuggestionlists(user, language=u'en', choices={}, version_id=None):
    if not version_id:
        version = WorkVersion
    else:
        version = Version.objects.get(pk=version_id)
    pdf = AllSuggestionlists.get_report(user, language=language,
        choices=choices, version=version)
    reference = _('All suggestionlists')
    utils_reports.send_mail(pdf, user, language=language, reference=reference)

if settings.USE_CELERY:
    from celery.task import task
    mail_allsuggestionlists = task(mail_allsuggestionlists)
