from django.db import models

class Street(models.Model):
    name = models.CharField(max_length = 50)

    def __unicode__(self):
        return self.name

    def get_absolute_url(self):
        return "street_url"

class Owner(models.Model):
    name = models.CharField(max_length = 50)

    def __unicode__(self):
        return self.name

    def get_absolute_url(self):
        return "owner_url"

class Building(models.Model):
    number = models.IntegerField(verbose_name = 'Number')
    name = models.CharField(max_length = 50, verbose_name = 'Name', blank=True, null=True)
    owners = models.ManyToManyField(Owner, verbose_name = 'Owners')
    street = models.ForeignKey(Street, verbose_name = 'Street')
    description = models.TextField(verbose_name = 'Description', blank=True, null=True)
    
    

